﻿function clientFsa() {
}

clientFsa.requestFolderDialog = function (path) {
    if ("ActiveXObject" in window) {
        try {
            var objShell = new ActiveXObject("Shell.Application");
            var result = objShell.BrowseForFolder(0, "Select a folder:", 0, 0x11);
            if (result != null) {
                path = result.Self.Path;
            }
        }
        catch (e) {
            alert("Error opening folder dialog");
        }
    }
    else {
        // do nothing -  no ActiveX
    }

    return path;
}

clientFsa.requestFolderDialogOpeCallback = function () {
    alert("Callback");
}

clientFsa.getFileNamesInPath = function (path, fileTypes) {
    var fileNames = new Array();
    if ("ActiveXObject" in window) {
        try {
            var fso = new ActiveXObject("Scripting.FileSystemObject");
            var fsoFolder = fso.GetFolder(path);
            var fsoFiles = getFilesInFolderTree(fsoFolder, fileTypes);
            for (var i = 0; i < fsoFiles.length; i++) {
                fileNames.push(fsoFiles[i].Path);
            }
        } catch (e) {
            fileNames.push("(Error reading folder)");
        }
    }
    else {
        fileNames.push("(Error reading folder - No ActiveX)");
    }

    return fileNames;

    function getFilesInFolderTree(fsoFolder, fileTypes) {
        var fsoFiles = new Array();
        var objEnum;
        var regExp = new RegExp(fileTypes.split(";").join("|") + "$", "i");
        for (objEnum = new Enumerator(fsoFolder.Files); !objEnum.atEnd(); objEnum.moveNext()) {
            if (regExp.test(objEnum.item().Name)) {
                fsoFiles.push(objEnum.item());
            }
        }

        for (objEnum = new Enumerator(fsoFolder.SubFolders); !objEnum.atEnd(); objEnum.moveNext()) {
            var subFolderFiles = getFilesInFolderTree(objEnum.item(), fileTypes);
            for (var i = 0; i < subFolderFiles.length; i++) {
                fsoFiles.push(subFolderFiles[i]);
            }
        }

        return fsoFiles;
    }
};

clientFsa.ReadAllFile = function (filename) {
    var result = null;
    if (ActiveXObject) {
        try {
            var fso = new ActiveXObject("Scripting.FileSystemObject");
            result = fso.OpenTextFile(filename, 1, false, -2).ReadAll();
        } catch (e) {
            result = null;
        }
    }

    return result;
};
