﻿$(function () {
    $("#ValidateInputs").click(function () { protocolFormUI.validateInputs(); });
    $("#DisplayParkXml").click(function () { protocolFormUI.DisplayAjaxCall("ParkXml"); });
    $("#DisplayMessageXml").click(function () { protocolFormUI.DisplayAjaxCall("MessageXml"); });
    $("#DisplayLetter").click(function () { protocolFormUI.DisplayAjaxCall("PreviewLetter", true); });
});

function protocolFormUI() {
}

protocolFormUI.validateInputs = function () {
    $("#XmlHolder").hide();
    $("#errorTableHeader,#clientValidationPage").show();
    ValidateFields();
}

protocolFormUI.DisplayAjaxCall = function (xmlType, showInNewWindow) {
    $("#protocolPage").css("height", "");   // This is set in ViewMesasge.vbs when
    $("#errorTableHeader,#clientValidationPage").hide();
    $("#XmlContainer").val("Generating...")
    $("#XmlHolder").show();
    $("#XmlType").text("vvvv " + xmlType + " vvvv");
    var postForm = $("#formRef");
    $("#PostedPvtAjaxMode").val(xmlType);
    $.ajax({
        type: "POST",
        url: "ViewProtocolForm.aspx",
        data: postForm.serialize()
    })
    .success(function (data) {
        $("#XmlContainer").val(data);
        if (showInNewWindow) {
            protocolFormUI.openNewWindow(data);
        }
    })
    .error(function (jqXHR, textStatus, errorThrown) { $("#XmlContainer").val("Failed to generate " + xmlType + "\nResponse:" + jqXHR.responseText); });
}

protocolFormUI.openNewWindow = function (displayData, outputWindow) {
    var newWindow = window.open("", "_blank", "width=786,height=" + $("#originalHeight").val() + ",resizable=yes,scrollbars=yes");
    newWindow.document.write("<meta http-equiv='content-type' content='text/html; charset=UTF-8' />" + displayData);
    newWindow.focus();
}
