﻿var LOCALISED_APP_NAME = "Protocol Verification Tool";

$(function() {
    fixGraphicsReferences();
    fixPopcjsHtmReferences();
    UpdateTitle();

    function fixGraphicsReferences(){
        $("img[src*='graphics/']").attr("src", function () {
            this.src = this.src.replace(/^.*\/(?=[^<>:"/\\|?*]*[.]{1}(gif|png|jpg)$)/i, "Shared/SharedGraphics/");
        });

        setTimeout(fixGraphicsReferences, 300);    // As Interactive forms adds graphics by script.
    }

    function fixPopcjsHtmReferences() {
        if (document.frames.length > 0 
                && document.frames["popFrame"] != null 
                && document.frames["popFrame"].document != null 
                && document.frames["popFrame"].document.body!= null) {
            var frameDoc = document.frames["popFrame"].document;
            var script = frameDoc.createElement("script");
            script.type = "text/javascript";
            script.src = "../SharedScripts/date.js";
            frameDoc.body.appendChild(script);
            script = frameDoc.createElement("script");
            script.type = "text/javascript";
            script.src = "../SharedScripts/updateTitle.js";
            frameDoc.body.appendChild(script);
        }
        else{
            setTimeout(fixPopcjsHtmReferences, 10);
        }
    }
});

function buttonOver(element) {
    element.className = element.className.toLowerCase().replace('buttonup', 'buttonDn');
}

function buttonOut(element) {
    element.className = element.className.toLowerCase().replace('buttondn', 'buttonUp');
}

