// this function is used to display the patient's name, date of birth and 
// chi number in the title bar of a referral
function UpdateTitle()
{ 
    var patient_surname;
    var patient_forename;
    var patient_dob;
    var chi;
    var gateway_info;
    var patient_details;
    
    // need to check if the object exists or this will cause an error if it 
    // doesn't exist in the protocl
    if (document.getElementById("patient_surname") != null)
    {
        patient_surname = document.getElementById("patient_surname").value;
    }
     
    if (document.getElementById("patient_forename") != null)
    {
        patient_forename = document.getElementById("patient_forename").value;
    }
    
    if (document.getElementById("patient_dob")!= null)
    {
        patient_dob = document.getElementById("patient_dob").value;
    }
    
    if (document.getElementById("chi") != null)
    {
        chi = document.getElementById("chi").value;
    }
    else if (document.getElementById("patient_nhs_number") != null) 
    {
        chi = document.getElementById("patient_nhs_number").value;
    }
    else if (document.getElementById("hcn") != null)
    {
        ///HCN should be formatted XXX XXX XXXX
        var objRegExp  = new RegExp('(\\d{3})(\\d{3})(\\d{4})');
        
        chi = document.getElementById("hcn").value;
        //remove any spaces entered by user
        chi = chi.split(' ').join('');
        chi = chi.replace(objRegExp, '$1 $2 $3');
        document.getElementById("hcn").value = chi;
    }
    
    var messageTypeName;
    if (document.getElementById("messageTypeName") != null && document.getElementById("messageTypeName").value != "")
    {
        messageTypeName = document.getElementById("messageTypeName").value;
    }
    else
    {
        messageTypeName = "Message";
    }
    
    gateway_info  = LOCALISED_APP_NAME + " - " + messageTypeName;  
    
    // check what elements have a value before formatting with - so that we don't 
    // end up with - - - when an element is blank
    if ((patient_surname != "") && (patient_forename != ""))
    {
        patient_surname = patient_surname + ", ";
    }
     
    if ((patient_dob != "") && (patient_surname != ""))
    {
        patient_dob = " - " + patient_dob;
    }
    
    if ((chi != "") && ((patient_surname != "") || (patient_dob != "")))
    {
        chi = " - " + chi;
    }
    
    patient_details = (patient_surname + patient_forename + patient_dob + chi);
    
    if (patient_details != "")
    {
        gateway_info = " - " + gateway_info;
    }
        
    // title of the page should contain the patient details (if they exist)    
    document.title = (patient_details + gateway_info);
               
}
