﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ViewProtocolForm.aspx.cs" Inherits="PvtWeb.ViewProtocolForm" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head runat="server">
        <title>Protocol Form</title>
        <link rel="stylesheet" type="text/css" href="Shared/SharedStylesheets/protocolform.css"/>
        <link rel="stylesheet" type="text/css" href="Stylesheets/ViewProtocolForm.css"/>
        <script src="Scripts/jquery-1.8.3.min.js" type="text/javascript"></script>
        <script src="Shared/SharedScripts/interActiveForms.js" type="text/javascript"></script>
        <script src="Shared/SharedScripts/validation-errors.vbs" type="text/vbscript"></script>
        <script src="Shared/SharedScripts/validateDate.vbs" type="text/vbscript"></script>
        <script src="Shared/SharedScripts/viewmessage.vbs" type="text/vbscript"></script>
        <script src="Shared/SharedScripts/MouseEvents.js" type="text/javascript"></script>
        <script src="Shared/SharedScripts/date.js" type="text/javascript"></script>
        <script src="Shared/SharedScripts/calendar.js" type="text/javascript"></script>
        <script src="Shared/SharedScripts/ProtMsg.vbs" type="text/vbscript"></script>
        <script src="Shared/SharedScripts/common.vbs" type="text/vbscript"></script>
        <script src="Shared/SharedScripts/updatetitle.js" type="text/javascript"></script>
        <script src="Shared/SharedScripts/date.js" type="text/javascript"></script>
        <script src="Scripts/ViewProtocolFormFixes.js" type="text/javascript"></script>
        <script src="Scripts/ViewProtocolForm.js" type="text/javascript"></script>
    </head>
    <body>
        <form id="formRef" runat="server">
            <div id="protocolPage">            
                <asp:Panel ID="ProtocolRenderPanel" runat="server" Visible="false"></asp:Panel>
                <asp:Panel ID="Footer" runat="server" Visible="false" CssClass="footer">
                    <input id="ValidateInputs" type="button" value="Validate Inputs" class="footerButton"/>
                    <input id="DisplayParkXml" type="button" value="Display Park XML" class="footerButton" title="See below for output"/>
                    <input id="DisplayMessageXml" type="button" value="Display Message XML" class="footerButton" title="See below for output"/>
                    <input id="DisplayLetter" type="button" value="Display Letter" class="footerButton" runat="server"/>
                    <div id="XmlHolder" class="xmlHolder">
                        <label id="XmlType" class="xmlDisplayLabel"></label><br />
                        <textarea id="XmlContainer" rows="30" cols="50" readonly="readonly" title="The information shown here is to give the user an idea of what may be generated by the main application, however, differences may exist."></textarea>
                    </div>
                    <div class="errorTabHeader" id="errorTableHeader" style="top:0%;"></div>
                    <div class="clientValidation" id="clientValidationPage" style="top:0%;"></div>
                </asp:Panel>
            </div>
            <asp:HiddenField ID="PostedProtocolXml" runat="server"/>
            <asp:HiddenField ID="PostedProtocolType" runat="server"/>
            <asp:HiddenField ID="PostedProtocolSchemaVersion" runat="server"/>
            <asp:HiddenField ID="PostedMessageTypeName" runat="server"/>
            <asp:HiddenField ID="PostedMessageSchemaVersion" runat="server"/>
            <asp:HiddenField ID="PostedPrePopMethod" runat="server"/>
            <asp:HiddenField ID="PostedPrePopXml" runat="server"/>
            <asp:HiddenField ID="PostedPreviewStylesheetXslt" runat="server"/>
            <asp:HiddenField ID="PostedPvtAjaxMode" runat="server"/>
            <input id="resetHeight" type="hidden"  runat="server" value="600px" />
            <input id="originalHeight" type="hidden"  runat="server" value="500px" />
       </form>
    </body>
</html>
