﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="PvtWeb.Default" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head runat="server">
        <title>Protocol Verification Tool</title>
        <link rel="stylesheet" type="text/css" href="Stylesheets/Default.css"/>
        <link rel="stylesheet" type="text/css" href="Stylesheets/ValidationResults.css"/>
        <!--[if lte IE 6]>
        <link rel="stylesheet" type="text/css" href="Stylesheets/ValidationResults_PreIe7.css"/>       
        <![endif]-->
        <!--[if gte IE 7]>
        <link rel="stylesheet" type="text/css" href="Stylesheets/ValidationResults_Ie7AndLater.css"/>
        <![endif]-->
    </head>
    <body>
        <form id="form1" runat="server" onclick="">
            <div class="floatLeft" style="width:100%;">
                <span class="pageTitle">Protocol Verification Tool</span>
                Version <asp:Literal ID="Version" runat="server" />
            </div>
            <div id="LocalStoreWarning" class="hidden localStoreOption" style="width:300px;">
                <div class="floatLeft" style="width:240px;">
                    Do you want to use local storage (e.g. cookies) to store folder paths?<br />
                </div>
                <div class="floatRight" style="width:60px;">
                    <input id="LocalStoreY" type="button" value="Yes" style="width:50px;" /><br />
                    <input id="LocalStoreN" type="button" value="No" style="width:50px;" />
                </div>
            </div>
            <fieldset>
                <legend>Protocol</legend>
                <div>
                    <label for="ProtocolFolder">Folder</label>
                    <asp:TextBox runat="server" ID="ProtocolFolder" CssClass="folderInput"/>
                    <input type="button" id="ProtocolFolderBrowser" class="folderBrowser" value="..." />
                </div>
                <div>
                    <label for="ProtocolFiles">File</label>
                    <select id="ProtocolFiles"></select>
                    <input type="button" id="ProtocolFilesRefresh" class="refreshFiles" value="Refresh"/>
                </div>
                <div>
                    <label for="ProtocolTypes">Type</label>
                    <select id="ProtocolTypes"></select>
                </div>
                <div>
                    <label for="ProtocolSchemaVersions">Schema Version</label>
                    <select id="ProtocolSchemaVersions"></select>
                </div>
            </fieldset>
            <fieldset>
                <legend>Intended Use</legend>
                <div>
                    <label for="MessageTypes">Message Type</label>
                    <select id="MessageTypes"></select>
                </div>
                <div>
                    <label for="FinalMessageSchemas">Final Message Schema Version</label>
                    <select id="FinalMessageSchemas"></select> 
                </div>
            </fieldset>
            <fieldset>
                <legend>Pre-population</legend>
                <div>
                    <label for="PrePopulationMethods">Method</label>
                    <select id="PrePopulationMethods"></select>
                </div>
                <div id="ParkedXmlFields" class="hidden">
                    <div>
                        <label for="ParkedXmlFolder">Xml Folder</label>
                        <asp:TextBox runat="server" ID="ParkedXmlFolder" CssClass="folderInput"/>
                        <input type="button" id="ParkedXmlFolderBrowser" class="folderBrowser" value="..." />
                    </div>
                    <div>
                        <label for="ParkedXmlFiles">Xml File</label>
                        <select id="ParkedXmlFiles"></select>
                        <input type="button" id="ParkedXmlFilesRefresh" class="refreshFiles" value="Refresh"/>
                   </div>
                </div>
                <div id="GpXmlFields" class="hidden">
                    <div>
                        <label for="GpXmlFolder">Xml Folder</label>
                        <asp:TextBox runat="server" ID="GpXmlFolder" CssClass="folderInput"/>
                        <input type="button" id="GpXmlFolderBrowser" class="folderBrowser" value="..." />
                    </div>
                    <div>
                        <label for="GpXmlFiles">Xml File</label>
                        <select id="GpXmlFiles"></select>
                        <input type="button" id="GpXmlFilesRefresh" class="refreshFiles" value="Refresh"/>
                    </div>
                </div>
                <div id="PmsXmlFields" class="hidden">
                    <div>
                        <label for="PmsXmlFolder">Xml Folder</label>
                        <asp:TextBox runat="server" ID="PmsXmlFolder" CssClass="folderInput"/>
                        <input type="button" id="PmsXmlFolderBrowser" class="folderBrowser" value="..." />
                   </div>
                    <div>
                        <label for="PmsXmlFiles">Xml File</label>
                        <select id="PmsXmlFiles"></select>
                        <input type="button" id="PmsXmlFilesRefresh" class="refreshFiles" value="Refresh"/>
                    </div>
                </div>
            </fieldset>
            <fieldset>
                <legend>Preview Letter Stylesheet</legend>
                <div>
                    <label for="PreviewStylesheetFolder">Folder</label>
                    <asp:TextBox runat="server" ID="PreviewStylesheetFolder" CssClass="folderInput"/>
                    <input type="button" id="PreviewStylesheetFolderBrowser" class="folderBrowser" value="..." />
                </div>
                <div>
                    <label for="PreviewStylesheetFiles">File</label>
                    <select id="PreviewStylesheetFiles"></select>
                    <input type="button" id="PreviewStylesheetFilesRefresh" class="refreshFiles" value="Refresh"/>
                </div>
            </fieldset>
            <input type="button" id="ValidateButton" value="Validate Protocol(s)"/>
            <div id="validationResultContainer" class="validationResultContainer hidden">
                <div class="resultsHeader">
                    <div class="floatLeft"><b><u>Validation Results</u></b></div>
                    <div id="CloseResults" class="closeCross floatRight"></div>
                </div>
                <br />
                <div id="validationResultDetailsContainer" class="validationResultDetailsContainer"></div>
            </div>
            <div id="validationResultTemplates"class="hidden">
                <div class="resultContainer">
                    <div class="validationResultHeader">
                        <div class="validationResultSummary">
                            <div class="resultCountFail clickable" title="Click to expand or collapse fail results (ctrl-click includes all chidren)" data-startExpanded="false">-</div>
                            <div class="resultCountWarning clickable" title="Click to expand or collapse warning results (ctrl-click includes all chidren)" data-startExpanded="false">-</div>
                            <div class="resultCountPass clickable" title="Click to expand or collapse pass results (ctrl-click includes all chidren)" data-startExpanded="false">-</div>
                            <div class="resultTextAll clickable" title="Click to expand or collapse all results (ctrl-click includes all chidren)" data-startExpanded="false">All</div>
                            <div class="loadingIcon"></div>
                            <input type="button" value="View" class="viewProtocolButton" disabled="disabled"/>
                        </div>
                        <div class="protocolFilename">(Filename)</div>
                    </div>
                    <div class="resultDetailFail expansionArea validationResultDetail"></div>
                    <div class="resultDetailWarning expansionArea validationResultDetail"></div>
                    <div class="resultDetailPass expansionArea validationResultDetail"></div>
                    <div class="resultDetailAll expansionArea validationResultDetail"></div>
                </div>
                <div class="schemaResults">
                    <div class="expander_plus" data-startExpanded="true" title="Click to expand or collapse results (ctrl-click includes all chidren)"></div>
                    <div class="nodePassWarningFail"></div>
                    <div class="resultHeading">Schema Validation Result</div>
                    <div class="expansionArea">
                        <ul class="resultList"></ul> 
                    </div>
                </div>
                <div class="nodeResult">
                    <div class="expander_plus" data-startExpanded="false" title="Click to expand or collapse results (ctrl-click includes all chidren)"></div>
                    <div class="nodePassWarningFail"></div>
                    <div class="resultHeading"></div>
                    <div class="expansionArea"></div>
                </div>
                <div class="nodeCheckMessages">
                    <div class="validationResultWithMargin">
                        <ul class="resultList"></ul> 
                    </div>          
                </div>
                <div class="requiredItemResults">
                    <div class="expander_plus" data-startExpanded="true" title="Click to expand or collapse results (ctrl-click includes all chidren)"></div>
                    <div class="nodePassWarningFail"></div>
                    <div class="resultHeading"></div>
                    <div class="expansionArea">
                        <ul class="resultList"></ul>
                    </div>
                </div>
                <div class="validatedAttributesResults">
                    <div class="expander_plus" data-startExpanded="true" title="Click to expand or collapse results (ctrl-click includes all chidren)"></div>
                    <div class="nodePassWarningFail"></div>
                    <div class="resultHeading">Validated Attributes</div>
                    <div class="expansionArea"></div>
                </div>
                <div class="validatedAttributeResults">
                    <div class="validationResultWithMargin">
                        <div class="resultHeading"></div>
                        <ul class="resultList"></ul> 
                    </div>          
                </div>
            </div>
        </form>
        <script src="Scripts/jquery-1.8.3.min.js" type="text/javascript"></script>
        <script src="Scripts/Extensions.js" type="text/javascript"></script>
        <script src="Scripts/ClientStorage.js" type="text/javascript"></script>
        <script src="Scripts/DefaultUI.js" type="text/javascript"></script>
        <script src="Scripts/DefaultAjax.js" type="text/javascript"></script>
        <script src="Scripts/DefaultClientFileSystemAccess.js" type="text/javascript"></script>
        <script src="Scripts/DefaultValidationResultDisplay.js"type="text/javascript"></script>
    </body>
</html>
