<?xml version="1.0" encoding="UTF-8"?>
<!--This stylesheet takes referral xml and converts it into prepopulation souce xml-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:gen="http://www.show.scot.nhs.uk/isd/General" xmlns:sup="http://www.show.scot.nhs.uk/isd/Supplementary">
	<xsl:output method="xml" encoding="UTF-8" indent="yes"/>
	<xsl:template match="/sup:SupplementaryDocument">
		<xsl:element name="PrePopulationDocument" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
			<xsl:attribute name="SchemaVersion">1.2</xsl:attribute>
			<xsl:element name="OriginalMessageXml" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
				<xsl:element name="UrgencyValue" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
					<xsl:value-of select="/sup:SupplementaryDocument/sup:MessageData/sup:UrgencyValue"/>
				</xsl:element>
			</xsl:element>
			<!-- DocumentData section start -->
			<xsl:element name="DocumentData" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
				<xsl:apply-templates select="/sup:SupplementaryDocument/sup:DocumentData/gen:UniqueCarePathwayNumber"/>
			</xsl:element>
			<!-- DocumentData section end -->
		</xsl:element>
	</xsl:template>
	<!-- Pathway number - START -->
	<xsl:template match="/sup:SupplementaryDocument/sup:DocumentData/gen:UniqueCarePathwayNumber">
		<xsl:if test="string-length(.)=13">
			<xsl:element name="UniqueCarePathwayNumber" namespace="http://www.show.scot.nhs.uk/isd/PrePopulationSource">
				<xsl:value-of select="."/>
			</xsl:element>
		</xsl:if>
	</xsl:template>
	<!-- Pathway number - END -->
</xsl:stylesheet>
