<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="protocol">
		<xsl:element name="gwInternalProtocol">
			<xsl:copy-of select="./@*"/>
			<xsl:attribute name="renderVersion">1</xsl:attribute>
			<xsl:apply-templates select="./*" mode="copy"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="*[name(.)='textInput' or name(.)='textAreaInput' or name(.)='dropDownInput' or name(.)='checkBoxInput' or name(.)='dateInput' or name(.)='dataTableInput' or name(.)='radioButtonInput' or name(.)='layoutPanel' or name(.)='layoutTable' or name(.)='externalLinkt' or name(.)='internalLink' or name(.)='displayTextt' or name(.)='tab' or name(.)='heading1' or name(.)='heading2' or name(.)='heading3' or name()='protocol']" mode="copy">
	</xsl:template>
	<xsl:template match="*[name(.)!='textInput' and name(.)!='textAreaInput' and name(.)!='dropDownInput' and name(.)!='checkBoxInput' and name(.)!='dateInput' and name(.)!='dataTableInput' and name(.)!='radioButtonInput' and name(.)!='layoutPanel' and name(.)!='layoutTable' and name(.)!='externalLinkt' and name(.)!='internalLink' and name(.)!='displayTextt' and name(.)!='tab' and name(.)!='heading1' and name(.)!='heading2' and name(.)!='heading3' and name(.)!='protocol']" mode="copy">
		<xsl:copy>
			<xsl:if test="name()='question'">
				<xsl:attribute name="renderVersion">1</xsl:attribute>
			</xsl:if>
			<xsl:copy-of select="./@*"/>
			<xsl:apply-templates select="./node()" mode="copy"/>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="text()" mode="copy">
		<xsl:value-of select="."/>
	</xsl:template>
</xsl:stylesheet>
